<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST['kodeaw'];
$kodeak	=$_POST['kodeak'];
date_default_timezone_set('Asia/Jakarta');
$jam	=date('H:i:s');

$sql= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);
$piut		= $r['piutang'];
$labapb 	= $r['laba_pb'];
$labrug 	= $r['laba_rugi'];
$nosublpb	= substr($labapb,0,3);
$nosublr 	= substr($labrug,0,3);

$query = mysql_query("SELECT * FROM jurkm WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_km");

while($data=mysql_fetch_array($query)){
	$kodekm 	= $data['kode_km'];
	$tanggal	= $data['tanggal'];
	$nokas 		= $data['nokas'];
	$nourut  	= $data['no_urut'];
	$noakun 	= $data['noakun'];
	$nobp 		= $data['nobp'];
	$kodecab 	= $data['kode_cab'];
	$nofak		= $data['nofak'];
	$jumlah		= $data['jumlah'];
	$ket 		= $data['keterangan'];
	$user 		= $data['user'];
	$nosubks	= substr($nokas,0,3);
	$nosubak	= substr($noakun,0,3);
	$kelakun	= (int) substr($noakun,0,1);
	
	// --->debet kas bertambah
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$nokas'");
	
	// --->jika kode akun buku besar adalah piutang dagang, kurangi saldo piutang
	if($noakun==$piut){
		$kodepl = substr($nobp,5,5);
		mysql_query("UPDATE piutang SET jumlah=jumlah-$jumlah WHERE WHERE kode_pl='$kodepl' AND nofak='$nofak'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodekm','JKM','$tanggal','$kodekm','$kodecab','$nourut','$nokas','$nosubks','','','$jumlah','0','$ket','$user','$jam')");
	
	// --->kredit akun bertambah
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$noakun'");
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, kredit bertambah
		mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$nobp'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodekm','JKM','$tanggal','$kodekm','$kodecab','$nourut','$noakun','$nosubak','$nobp','','0','$jumlah','$ket','$user','$jam')");
	
	if($kelakun>3){
		// --->laba rugi debet
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodekm','JKM','$tanggal','$kodekm','$kodecab','$nourut','$labrug','$nosublr','','','$jumlah','0','$ket','$user','$jam')");

		// --->laba periode berjalan kredit		
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodekm','JKM','$tanggal','$kodekm','$kodecab','$nourut','$labapb','$nosubpb','','','0','$jumlah','$ket','$user','$jam')");
	}
} 

mysql_query("SELECT * FROM jurkm WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' ORDER BY kode_km");

mysql_query("UPDATE jurkm SET posting='P' WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' ");
?>